org.eclipse.emf.cdo.security

## Interface PermissionFilter

- All Superinterfaces:
    CDOObject, CDOWithID, EObject, Notifier
  All Known Subinterfaces:
    AndFilter, ClassFilter, CombinedFilter, ExpressionFilter, LinkedFilter, NotFilter, ObjectFilter, OrFilter, PackageFilter, ResourceFilter
  All Known Implementing Classes:
    AndFilterImpl, ClassFilterImpl, CombinedFilterImpl, ExpressionFilterImpl, LinkedFilterImpl, NotFilterImpl, ObjectFilterImpl, OrFilterImpl, PackageFilterImpl, PermissionFilterImpl, ResourceFilterImpl

      public interface PermissionFilter
      extends CDOObject

  A representation of the model object 'Permission Filter'.
  Since:
    4.3
  See Also:
    `SecurityPackage.getPermissionFilter()`
  Generated
  Extends
    CDOObject
  Model
    abstract="true"

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `format()`
    `boolean` | `isApplicable(CDORevision revision, CDORevisionProvider revisionProvider, CDOBranchPoint securityContext, int level)`
    `boolean` | `isImpacted(PermissionImpl.CommitImpactContext context)`

    - ### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

      `cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### isApplicable

          boolean isApplicable(CDORevision revision,
                               CDORevisionProvider revisionProvider,
                               CDOBranchPoint securityContext,
                               int level)
                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### isImpacted

          boolean isImpacted(PermissionImpl.CommitImpactContext context)

    - #### format

          java.lang.String format()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html